Bug 443105 - Resuming from suspend not working when using i915.modeset=1
Resuming from suspend not working when using i915.modeset=1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-18 13:14 EDT by Need Real Name
Modified: 2009-07-14 10:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-04-18 13:14:27 EDT
Description of problem:

Resuming from suspend not working when using i915.modeset=1
The screen is not quite recovering, I get some nice b/w stripes, but no
interesting output.

Version-Release number of selected component (if applicable):

Fedora 9 Beta1 as of today.

How reproducible:


Steps to Reproduce:
1. Reboot with i915.modeset=1
2. Wait for X to start
3. Press powerbutton on laptop
4. Wait for it shutdown
5. Press powerbutton to recover

Actual results:

It's not resuming back to something interesting

Expected results:

My X back

Additional info:

A HP520 laptop with a intel 945G card, I can give additional details upon
request, when I'm using the laptop.
Comment 1 Zachary Napora 2008-04-21 23:46:24 EDT
Could this be related to bug 442752 ?
If the reporter could post their Xorg and kernel log that would be great, thank you.
Comment 2 Chuck Ebbert 2008-04-23 21:09:47 EDT
I assume it works without i915.modeset=1?
Comment 3 Need Real Name 2008-04-23 21:21:47 EDT
Yes, it works fine with a normal bootup
Comment 4 Bug Zapper 2008-05-14 05:39:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Igor Bukanov 2008-07-27 18:09:23 EDT
The same story on Dell Latitude X1 laptop, Intel 915GM chipset. With
i915.modeset=1 the display does not come back from the suspend. Neither X nor
virtual console works.
Comment 6 MartinG 2009-01-07 08:16:35 EST
I have a Dell Latitude X1 running Fedora Rawhide and would like to help debugging the modesetting stuff for the i915GM chip. Please let me know how I can help.

Currently, I am not able to successfully log into X (KDE 4.1.85) using the i915.modeset=1 kernel option - X freezes before KDE is fully started.
Comment 7 Bug Zapper 2009-06-09 20:15:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 10:57:30 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.